ProyectoCrm/src/app/Modulos/PermisosModulo/Paginas/fw-permisos/Componentes/fw-permisos-detalles/fw-permisos-detalles.component.pug
div.form-row.border-bottom-secondary.mb-2
  div.form-group.col-12
    h5.card-title.mb-0.text-gray-800
      span.fas.fa-info.mr-2
      span Información General
div.form-row
  div.form-group.col-12.col-lg-4
    select([(ngModel)]="tFiltroActual").custom-select.custom-select-sm
      option(*ngFor="let tFiltro of tFiltros", [ngValue]="tFiltro") {{tFiltro.Filtro}}
  div.form-group.col-12.col-lg-8
    input(type="text", placeholder="Ingrese busqueda", [(ngModel)]="tFiltroBusqueda").form-control.form-control-sm
div.form-row
  div.form-group.col-12.col-lg-8
    div.row
      div.col-12
        div.table-responsive
          table.table.table-sm.table-striped.table-hover
            thead
              tr.align-middle
                th
                th
                  div.PermisosCheck
                    input(type="checkbox",
                        #chkAccesoTodos = "",
                        (change)="Formulario_AccesoTodos(chkAccesoTodos.checked)")#chkAccesoTodos.PermisosCheck--Check
                    label(for="chkAccesoTodos").PermisosCheck--Etiqueta Acceso
                th
                  h6.font-weight-bold.text-nowrap Descripción
                th
                  h6.font-weight-bold.text-nowrap Descripción2
                th
                  div.PermisosCheck
                    input(type="checkbox",
                        #chkAgregarTodos = "",
                        (change)="Formulario_AgregarTodos(chkAgregarTodos.checked)")#chkAgregarTodos.PermisosCheck--Check
                    label(for="chkAgregarTodos").PermisosCheck--Etiqueta Agregar
                th
                  div.PermisosCheck
                    input(type="checkbox",
                        #chkEditarTodos = "",
                        (change)="Formulario_EditarTodos(chkEditarTodos.checked)")#chkEditarTodos.PermisosCheck--Check
                    label(for="chkEditarTodos").PermisosCheck--Etiqueta Editar
                th
                  div.PermisosCheck
                    input(type="checkbox",
                        #chkEliminarTodos = "",
                        (change)="Formulario_EliminarTodos(chkEliminarTodos.checked)")#chkEliminarTodos.PermisosCheck--Check
                    label(for="chkEliminarTodos").PermisosCheck--Etiqueta Eliminar
                th
                  div.PermisosCheck
                    input(type="checkbox",
                        #chkImprimirTodos = "",
                        (change)="Formulario_ImprimirTodos(chkImprimirTodos.checked)")#chkImprimirTodos.PermisosCheck--Check
                    label(for="chkImprimirTodos").PermisosCheck--Etiqueta Imprimir
                th
                  div.PermisosCheck
                    input(type="checkbox",
                        #chkPermisoTodos = "",
                        (change)="Formulario_PermisoTodos(chkPermisoTodos.checked)")#chkPermisoTodos.PermisosCheck--Check
                    label(for="chkPermisoTodos").PermisosCheck--Etiqueta Permiso
            tbody
              tr(*ngFor="let tFormulario of tGrupo.LFormularios | buscar : {'campoFiltro' : tFiltroActual, 'busquedaFiltro' : tFiltroBusqueda} | slice: (tPaginaFormulario-1) * tTamanoPagFormulario : (tPaginaFormulario-1) * tTamanoPagFormulario + tTamanoPagFormulario ; let jv = index")
                td
                  button(type="button",
                          (click)="SeleccionarFormulario(tFormulario)").btn.btn-sm.btn-outline-info
                    span.fas.fa-eye
                td.text-center
                  input#chkAcceso(type="checkbox",
                                      #chkAcceso="",
                                      ng-true-value="1",
                                      ng-false-value="0",
                                      [checked]="tFormulario.Acceso",
                                      (change)="Formulario_Acceso(chkAcceso.checked, tFormulario)").form-check-input-text-center
                td
                  h6.text-nowrap {{ tFormulario.Descripcion }}
                td
                  h6.text-nowrap {{ tFormulario.Descripcion2 }}
                td.text-center
                  input#chkAgregar(type="checkbox",
                                  #chkAgregar="",
                                  ng-true-value="1",
                                  ng-false-value="0",
                                  (change)="Formulario_Agregar(chkAgregar.checked, tFormulario)",
                                  [checked]="tFormulario.Agregar",
                                  name="AgregarCheck1").form-check-input-text-center
                td.text-center
                  input#chkEditar(type="checkbox",
                                  #chkEditar="",
                                  ng-true-value="1",
                                  ng-false-value="0",
                                  (change)="Formulario_Editar(chkEditar.checked, tFormulario)",
                                  [checked]="tFormulario.Editar",
                                  name="EditarCheck1").form-check-input-text-center
                td.text-center
                  input#chkEliminar(type="checkbox",
                                  #chkEliminar="",
                                  ng-true-value="1",
                                  ng-false-value="0",
                                  (change)="Formulario_Eliminar(chkEliminar.checked, tFormulario)",
                                  [checked]="tFormulario.Eliminar",
                                  name="EliminarCheck1").form-check-input-text-center
                td.text-center
                  input#chkImprimir(type="checkbox",
                                    #chkImprimir="",
                                    ng-true-value="1",
                                    ng-false-value="0",
                                    (change)="Formulario_Imprimir(chkImprimir.checked, tFormulario)",
                                    [checked]="tFormulario.Imprimir",
                                    name="ImprimirCheck1").form-check-input-text-center
                td.text-center
                    input#chkPermiso(type="checkbox",
                                    #chkPermiso="",
                                    ng-true-value="1",
                                    ng-false-value="0",
                                    (change)="Formulario_Permiso(chkPermiso.checked, tFormulario)",
                                    [checked]="tFormulario.Permiso",
                                    name="PermisoCheck1").form-check-input-text-center
    div.row.mt-2
      div.col-12
        ngb-pagination(aria-label="Default pagination",
                        [collectionSize]="tGrupo.LFormularios.length" || 0,
                        [(page)]="tPaginaFormulario",
                        [rotate]="true",
                        [ellipses]="false",
                        [boundaryLinks]="true",
                        [maxSize]="10",
                        [pageSize]="tTamanoPagFormulario" || 0).d-flex.justify-content-center
  div.form-group.col-12.col-lg-4
    ng-container(*ngIf="this.tFormularioActual.LTareas.length <= 0")
      img(src="assets/NoData.svg").img-fluid.text-center
    ng-container(*ngIf="this.tFormularioActual.LTareas.length > 0")
      div.form-row
        div.form-group.col-12
          div.row
            div.col
              h5.text-center.card-title
                span {{ tFormularioActual.Descripcion }}
          div.row
            div.col
              h6.card-title.mb-0.text-gray-800
                span Tareas adicionales
      div(*ngFor="let tTarea of tFormularioActual.LTareas | slice: (tPaginaFormularioTareas-1) * tTamanoPagFormularioTareas : (tPaginaFormularioTareas-1) * tTamanoPagFormularioTareas + tTamanoPagFormularioTareas ; let jv = index").form-row
        div.form-group.col-12
          div.card.shadow-sm.h-100.border-left-primary
            div.card-body
              div.row.no-gutters.align-items-center
                div.col-auto.mr-1
                  div.custom-control.custom-switch
                    input(type="checkbox",
                            id="{{ tTarea.Codtarea }}"
                            ng-true-value="1",
                            ng-false-value="0",
                            [checked]="tTarea.Asignado",
                            (change)="CheckTarea(tTarea)").custom-control-input
                    label(for="{{ tTarea.Codtarea }}").custom-control-label
                div.col.mr-2
                  div.text-xs.h6.mb-0.font-weight-bold.text-gray-800 {{ tTarea.Descripcion }}
                div.col-auto
                  div.fas.fa-tasks.fa-2x.text-gray-300
      div.row.mt-2
        div.col-12
          ngb-pagination(aria-label="Default pagination",
                          [collectionSize]="tFormularioActual.LTareas.length" || 0,
                          [(page)]="tPaginaFormularioTareas",
                          [rotate]="true",
                          [ellipses]="false",
                          [boundaryLinks]="true",
                          [maxSize]="10",
                          [pageSize]="tTamanoPagFormularioTareas" || 0).d-flex.justify-content-center

ProyectoCrm/src/app/Modulos/PermisosModulo/Paginas/fw-permisos/Componentes/fw-permisos-detalles/fw-permisos-detalles.component.html

<div class="form-row border-bottom-secondary mb-2">
  <div class="form-group col-12">
    <h5 class="card-title mb-0 text-gray-800"><span class="fas fa-info mr-2"></span><span>Información General</span></h5>
  </div>
</div>
<div class="form-row">
  <div class="form-group col-12 col-lg-4">
    <select class="custom-select custom-select-sm" [(ngModel)]="tFiltroActual">
      <option *ngFor="let tFiltro of tFiltros" [ngValue]="tFiltro">{{tFiltro.Filtro}}</option>
    </select>
  </div>
  <div class="form-group col-12 col-lg-8">
    <input class="form-control form-control-sm" type="text" placeholder="Ingrese busqueda" [(ngModel)]="tFiltroBusqueda"/>
  </div>
</div>
<div class="form-row">
  <div class="form-group col-12 col-lg-8">
    <div class="row">
      <div class="col-12">
        <div class="table-responsive">
          <table class="table table-sm table-striped table-hover">
            <thead>
              <tr class="align-middle">
                <th></th>
                <th>
                  <div class="PermisosCheck">
                    <input class="PermisosCheck--Check" type="checkbox" #chkAccesoTodos="" (change)="Formulario_AccesoTodos(chkAccesoTodos.checked)" id="chkAccesoTodos"/>
                    <label class="PermisosCheck--Etiqueta" for="chkAccesoTodos">Acceso</label>
                  </div>
                </th>
                <th>
                  <h6 class="font-weight-bold text-nowrap">Descripción</h6>
                </th>
                <th>
                  <h6 class="font-weight-bold text-nowrap">Descripción2</h6>
                </th>
                <th>
                  <div class="PermisosCheck">
                    <input class="PermisosCheck--Check" type="checkbox" #chkAgregarTodos="" (change)="Formulario_AgregarTodos(chkAgregarTodos.checked)" id="chkAgregarTodos"/>
                    <label class="PermisosCheck--Etiqueta" for="chkAgregarTodos">Agregar</label>
                  </div>
                </th>
                <th>
                  <div class="PermisosCheck">
                    <input class="PermisosCheck--Check" type="checkbox" #chkEditarTodos="" (change)="Formulario_EditarTodos(chkEditarTodos.checked)" id="chkEditarTodos"/>
                    <label class="PermisosCheck--Etiqueta" for="chkEditarTodos">Editar</label>
                  </div>
                </th>
                <th>
                  <div class="PermisosCheck">
                    <input class="PermisosCheck--Check" type="checkbox" #chkEliminarTodos="" (change)="Formulario_EliminarTodos(chkEliminarTodos.checked)" id="chkEliminarTodos"/>
                    <label class="PermisosCheck--Etiqueta" for="chkEliminarTodos">Eliminar</label>
                  </div>
                </th>
                <th>
                  <div class="PermisosCheck">
                    <input class="PermisosCheck--Check" type="checkbox" #chkImprimirTodos="" (change)="Formulario_ImprimirTodos(chkImprimirTodos.checked)" id="chkImprimirTodos"/>
                    <label class="PermisosCheck--Etiqueta" for="chkImprimirTodos">Imprimir</label>
                  </div>
                </th>
                <th>
                  <div class="PermisosCheck">
                    <input class="PermisosCheck--Check" type="checkbox" #chkPermisoTodos="" (change)="Formulario_PermisoTodos(chkPermisoTodos.checked)" id="chkPermisoTodos"/>
                    <label class="PermisosCheck--Etiqueta" for="chkPermisoTodos">Permiso</label>
                  </div>
                </th>
              </tr>
            </thead>
            <tbody>
              <tr *ngFor="let tFormulario of tGrupo.LFormularios | buscar : {'campoFiltro' : tFiltroActual, 'busquedaFiltro' : tFiltroBusqueda} | slice: (tPaginaFormulario-1) * tTamanoPagFormulario : (tPaginaFormulario-1) * tTamanoPagFormulario + tTamanoPagFormulario ; let jv = index">
                <td>
                  <button class="btn btn-sm btn-outline-info" type="button" (click)="SeleccionarFormulario(tFormulario)"><span class="fas fa-eye"></span></button>
                </td>
                <td class="text-center">
                  <input class="form-check-input-text-center" id="chkAcceso" type="checkbox" #chkAcceso="" ng-true-value="1" ng-false-value="0" [checked]="tFormulario.Acceso" (change)="Formulario_Acceso(chkAcceso.checked, tFormulario)"/>
                </td>
                <td>
                  <h6 class="text-nowrap">{{ tFormulario.Descripcion }}</h6>
                </td>
                <td>
                  <h6 class="text-nowrap">{{ tFormulario.Descripcion2 }}</h6>
                </td>
                <td class="text-center">
                  <input class="form-check-input-text-center" id="chkAgregar" type="checkbox" #chkAgregar="" ng-true-value="1" ng-false-value="0" (change)="Formulario_Agregar(chkAgregar.checked, tFormulario)" [checked]="tFormulario.Agregar" name="AgregarCheck1"/>
                </td>
                <td class="text-center">
                  <input class="form-check-input-text-center" id="chkEditar" type="checkbox" #chkEditar="" ng-true-value="1" ng-false-value="0" (change)="Formulario_Editar(chkEditar.checked, tFormulario)" [checked]="tFormulario.Editar" name="EditarCheck1"/>
                </td>
                <td class="text-center">
                  <input class="form-check-input-text-center" id="chkEliminar" type="checkbox" #chkEliminar="" ng-true-value="1" ng-false-value="0" (change)="Formulario_Eliminar(chkEliminar.checked, tFormulario)" [checked]="tFormulario.Eliminar" name="EliminarCheck1"/>
                </td>
                <td class="text-center">
                  <input class="form-check-input-text-center" id="chkImprimir" type="checkbox" #chkImprimir="" ng-true-value="1" ng-false-value="0" (change)="Formulario_Imprimir(chkImprimir.checked, tFormulario)" [checked]="tFormulario.Imprimir" name="ImprimirCheck1"/>
                </td>
                <td class="text-center">
                  <input class="form-check-input-text-center" id="chkPermiso" type="checkbox" #chkPermiso="" ng-true-value="1" ng-false-value="0" (change)="Formulario_Permiso(chkPermiso.checked, tFormulario)" [checked]="tFormulario.Permiso" name="PermisoCheck1"/>
                </td>
              </tr>
            </tbody>
          </table>
        </div>
      </div>
    </div>
    <div class="row mt-2">
      <div class="col-12">
        <ngb-pagination class="d-flex justify-content-center" aria-label="Default pagination" [collectionSize]="tGrupo.LFormularios.length" [(page)]="tPaginaFormulario" [rotate]="true" [ellipses]="false" [boundaryLinks]="true" [maxSize]="10" [pageSize]="tTamanoPagFormulario"></ngb-pagination>
      </div>
    </div>
  </div>
  <div class="form-group col-12 col-lg-4">
    <ng-container *ngIf="this.tFormularioActual.LTareas.length &lt;= 0"><img class="img-fluid text-center" src="assets/NoData.svg"/></ng-container>
    <ng-container *ngIf="this.tFormularioActual.LTareas.length &gt; 0">
      <div class="form-row">
        <div class="form-group col-12">
          <div class="row">
            <div class="col">
              <h5 class="text-center card-title"><span>{{ tFormularioActual.Descripcion }}</span></h5>
            </div>
          </div>
          <div class="row">
            <div class="col">
              <h6 class="card-title mb-0 text-gray-800"><span>Tareas adicionales</span></h6>
            </div>
          </div>
        </div>
      </div>
      <div class="form-row" *ngFor="let tTarea of tFormularioActual.LTareas | slice: (tPaginaFormularioTareas-1) * tTamanoPagFormularioTareas : (tPaginaFormularioTareas-1) * tTamanoPagFormularioTareas + tTamanoPagFormularioTareas ; let jv = index">
        <div class="form-group col-12">
          <div class="card shadow-sm h-100 border-left-primary">
            <div class="card-body">
              <div class="row no-gutters align-items-center">
                <div class="col-auto mr-1">
                  <div class="custom-control custom-switch">
                    <input class="custom-control-input" type="checkbox" id="{{ tTarea.Codtarea }}" ng-true-value="1" ng-false-value="0" [checked]="tTarea.Asignado" (change)="CheckTarea(tTarea)"/>
                    <label class="custom-control-label" for="{{ tTarea.Codtarea }}"></label>
                  </div>
                </div>
                <div class="col mr-2">
                  <div class="text-xs h6 mb-0 font-weight-bold text-gray-800">{{ tTarea.Descripcion }}</div>
                </div>
                <div class="col-auto">
                  <div class="fas fa-tasks fa-2x text-gray-300"></div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
      <div class="row mt-2">
        <div class="col-12">
          <ngb-pagination class="d-flex justify-content-center" aria-label="Default pagination" [collectionSize]="tFormularioActual.LTareas.length" [(page)]="tPaginaFormularioTareas" [rotate]="true" [ellipses]="false" [boundaryLinks]="true" [maxSize]="10" [pageSize]="tTamanoPagFormularioTareas"></ngb-pagination>
        </div>
      </div>
    </ng-container>
  </div>
</div>
